Bug 1474267 - thinpoolsize should include poolmetatadatasize plus lv size.
thinpoolsize should include poolmetatadatasize plus lv size.
Status: CLOSED CURRENTRELEASE
Product: cockpit-ovirt
Classification: oVirt
Component: Gdeploy (Show other bugs)
0.10.7-0.0.20
Unspecified Unspecified
high Severity medium
: ovirt-4.1.5
: 0.10.7-0.0.23
Assigned To: Devyani Kota
RamaKasturi
:
Depends On:
Blocks: Gluster-HC-3 RHHI-1.1-Approved-Backlog-BZs 1480607
  Show dependency treegraph
 
Reported: 2017-07-24 05:25 EDT by RamaKasturi
Modified: 2017-08-28 06:26 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2017-08-23 04:06:23 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: Gluster
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
sabose: ovirt‑4.1?
knarra: planning_ack?
rule-engine: devel_ack+
rule-engine: testing_ack+


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
oVirt gerrit 80115 master MERGED wizard: add poolmetadatasize with lv size to calculate thinpool size. 2017-08-04 09:15 EDT
oVirt gerrit 80171 ovirt-4.1 MERGED wizard: add poolmetadatasize with lv size to calculate thinpool size. 2017-08-04 09:16 EDT

  None (edit)
Description RamaKasturi 2017-07-24 05:25:05 EDT
Description of problem:
With the latest version of cockpit i see that thinpool size does not include poolmetadatasize.

Version-Release number of selected component (if applicable):
cockpit-ovirt-dashboard-0.10.7-0.0.21.el7ev.noarch

How reproducible:
Always

Steps to Reproduce:
1. Use cockpit and provide all the inputs to configure gluster.
2.
3.

Actual results:
thinpoolsize on both arbiter and data node does not include poolmetadatasize.

Expected results:
thinpool size should include poolmetadatasize as well.

Additional info:
Comment 1 RamaKasturi 2017-08-16 06:05:49 EDT
Verified and works fine with build cockpit-ovirt-dashboard-0.10.7-0.0.23.el7ev.noarch.

I see that thinpoolsize now includes poolmetadata size as well on both data and arbiter nodes.


[lv1:{H1,H2}]
action=create
poolname=gluster_thinpool_sdc
ignore_lv_errors=no
vgname=gluster_vg_sdc
lvtype=thinpool
size=13016GB
poolmetadatasize=16GB


[lv2:H3]
action=create
poolname=gluster_thinpool_sdc
ignore_lv_errors=no
vgname=gluster_vg_sdc
lvtype=thinpool
size=45GB
poolmetadatasize=1GB


[lv5:H3]
action=create
lvname=gluster_lv_data
ignore_lv_errors=no
vgname=gluster_vg_sdc
mount=/gluster_bricks/data
lvtype=thinlv
poolname=gluster_thinpool_sdc
virtualsize=24GB


[lv7:H3]
action=create
lvname=gluster_lv_vmstore
ignore_lv_errors=no
vgname=gluster_vg_sdc
mount=/gluster_bricks/vmstore
lvtype=thinlv
poolname=gluster_thinpool_sdc
virtualsize=20GB

Note You need to log in before you can comment on or make changes to this bug.